.\" Copyright (C) 2001 Information-technology Promotion Agency (IPA)
.\" Copyright (C) 2001-2011
.\"   National Institute of Advanced Industrial Science and Technology (AIST)
.\" This file is part of the m17n library documentation.
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.2 or
.\" any later version published by the Free Software Foundation; with no
.\" Invariant Section, no Front-Cover Texts,
.\" and no Back-Cover Texts.  A copy of the license is included in the
.\" appendix entitled "GNU Free Documentation License".
.TH "m17n-config" 1 "12 Jan 2011" "Version 1.6.2" "The m17n Library" \" -*- nroff -*-
.ad l
.nh
.SH NAME
m17n\-config \- Print compile/link options of the m17n library 
.SH "SYNOPSIS"
.PP
m17n\-config [API\-LEVEL ...] [\-\-cflags | \-\-libs | \-\-libtool] [\-\-version]
.SH "DESCRIPTION"
.PP
The shell script m17n\-config prints compile and link options for a program that uses the m17n library.
.PP
By default, the printed options are for such a program that uses SHELL API of the libray. But, if the first argument is 'CORE', 'GUI', or 'FLT', the options are for a program that uses the corresponding API.
.PP
The other arguments are as follows.
.PP
.IP "\(bu" 2
\-\-cflags
.br
 Print compile option (e.g. \-I/usr/local/include)
.IP "\(bu" 2
\-\-libs
.br
 Print link option (e.g. \-L/usr/local/lib \-lm17n)
.IP "\(bu" 2
\-\-libtool
.br
 Print libtool option (e.g. /usr/local/lib/libm17n.la)
.IP "\(bu" 2
\-\-version
.br
 Print version number of the m17n library. 
.PP

.SH COPYRIGHT
Copyright (C) 2001 Information\-technology Promotion Agency (IPA)
.br
Copyright (C) 2001\-2011 National Institute of Advanced Industrial Science and Technology (AIST)
.br
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License 
<http://www.gnu.org/licenses/fdl.html>.
